## com.google.appengine.api.taskqueue.dev
Class UrlFetchJob

    java.lang.Object
      com.google.appengine.api.taskqueue.dev.UrlFetchJob

    public class UrlFetchJob

extends java.lang.Object

Quartz `Job` implementation that hits a url. The url to hit, the http method to invoke, headers, and any data that should be sent as part of the request are all determined by the `TaskQueueAddRequest` contained in the job data. We delegate to `LocalURLFetchService` for the actual fetching. `initialize(LocalServerEnvironment, Clock)` must be called before the first invocation of `execute(JobExecutionContext)`.

Constructor Summary
`UrlFetchJob()`

Method Summary
`void` `execute(JobExecutionContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlFetchJob

    public UrlFetchJob()

Method Detail

### execute

    public void execute(JobExecutionContext context)
                 throws JobExecutionException

  Throws:
    `JobExecutionException`